diff --git a/src/backend/utils/Gen_fmgrtab.pl b/src/backend/utils/Gen_fmgrtab.pl
index 37628a85c7..94422fd1ad 100644
--- a/src/backend/utils/Gen_fmgrtab.pl
+++ b/src/backend/utils/Gen_fmgrtab.pl
@@ -207,7 +207,7 @@ foreach my $s (sort { $a->{oid} <=> $b->{oid} } @fmgr)
 }
 
 # Create the fmgr_builtins table, collect data for fmgr_builtin_oid_index
-print $tfh "\nconst FmgrBuiltin fmgr_builtins[] = {\n";
+print $tfh "\nstatic const FmgrBuiltin fmgr_builtins[] = {\n";
 my %bmap;
 $bmap{'t'} = 'true';
 $bmap{'f'} = 'false';
diff --git a/src/backend/utils/adt/datetime.c b/src/backend/utils/adt/datetime.c
index 1b86fff2fb..1c826bae15 100644
--- a/src/backend/utils/adt/datetime.c
+++ b/src/backend/utils/adt/datetime.c
@@ -72,16 +72,16 @@ static pg_tz *FetchDynamicTimeZone(TimeZoneAbbrevTable *tbl, const datetkn *tp,
 								   DateTimeErrorExtra *extra);
 
 
-const int	day_tab[2][13] =
+static const int	day_tab[2][13] =
 {
 	{31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, 0},
 	{31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, 0}
 };
 
-const char *const months[] = {"Jan", "Feb", "Mar", "Apr", "May", "Jun",
+static const char *const months[] = {"Jan", "Feb", "Mar", "Apr", "May", "Jun",
 "Jul", "Aug", "Sep", "Oct", "Nov", "Dec", NULL};
 
-const char *const days[] = {"Sunday", "Monday", "Tuesday", "Wednesday",
+static const char *const days[] = {"Sunday", "Monday", "Tuesday", "Wednesday",
 "Thursday", "Friday", "Saturday", NULL};